AbstractAttributeContainer.IndexedPluralAttributeImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.domain
Class AbstractAttributeContainer.IndexedPluralAttributeImpl

    java.lang.Object
      org.hibernate.metamodel.domain.AbstractAttributeContainer.PluralAttributeImpl
          org.hibernate.metamodel.domain.AbstractAttributeContainer.IndexedPluralAttributeImpl

All Implemented Interfaces:
  Attribute, IndexedPluralAttribute, PluralAttribute

Enclosing class:
  AbstractAttributeContainer

    public static class AbstractAttributeContainer.IndexedPluralAttributeImpl

extends AbstractAttributeContainer.PluralAttributeImpl
implements IndexedPluralAttribute

Constructor Summary
`AbstractAttributeContainer.IndexedPluralAttributeImpl(String name, PluralAttributeNature nature, AttributeContainer attributeContainer)`

Method Summary
`Type` | `getIndexType()`
`void` | `setIndexType(Type indexType)`

Methods inherited from class org.hibernate.metamodel.domain.AbstractAttributeContainer.PluralAttributeImpl
`getAttributeContainer, getElementType, getName, getNature, getRole, isSingular, setElementType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.domain.PluralAttribute
`getElementType, getNature, getRole, setElementType`

Methods inherited from interface org.hibernate.metamodel.domain.Attribute
`getAttributeContainer, getName, isSingular`

Constructor Detail

### AbstractAttributeContainer.IndexedPluralAttributeImpl

    public AbstractAttributeContainer.IndexedPluralAttributeImpl(String name,
                                                                 PluralAttributeNature nature,
                                                                 AttributeContainer attributeContainer)

Method Detail

### getIndexType

    public Type getIndexType()

  Specified by:
    `getIndexType` in interface `IndexedPluralAttribute`

### setIndexType

    public void setIndexType(Type indexType)

  Specified by:
    `setIndexType` in interface `IndexedPluralAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.